Elven Elders can use both Healing Magic and Supplementary Magic. Elders are not inclined to one skill like Bishops or Prophets, and they are very useful during small party play.
They have basic skills such as Supplementary Magic, increasing defense and evasion and healing allies and they can use magic to damage the undead.
To be an Elder, your level must be over 40 and you need to collect the Mark of the Pilgrim, the Mark of Life, and the Mark of the Healer.
Ask about marks.
Return